it-swarm-ja.com

Windows7へのアップグレード後に.NET2.0が「インストールされていません」

最近、VistaBusinessからWindows7(Business)RTMにアップグレードしましたが、すべてが順調に進んでいます。取得していたBSODが修正され、ラップトップのパフォーマンスが向上しました。

しかしながら;アップグレード中に、.NET2.0のインストールで問題が発生したようです。

インストールしようとすると FlashDevelop 、インストーラーパッケージから次のエラーが発生します

FlasgDevelopをインストールする前に、Maicrtosoft.NET2.0ランタイムをインストールする必要があります。あなたが持っている 。

アップグレード前からFDの以前のリリースをインストールしましたが、これでも問題なく動作します。

それで、私はFDの新しいバージョンをあきらめて、私の一日を続けました。

次に、 Microsoft SQL Server Database Publishing Wizard 1.1 )をインストールしようとしましたが、いくつかの前提条件がありません。そのうちの1つは.NET2.0です。

ダウンロードすると 。NET 2.0ランタイム インストーラーが失敗し、次のように表示されます

この製品は、オペレーティングシステムの一部としてすでにインストールされています。

.NET2が実際にインストールされていることをコンピュータに認識させる方法を誰かが知っていますか。

[〜#〜]更新[〜#〜]

Windowsの機能を確認しましたが、.NETに関連するすべてのものが既にインストールされています。

また、インストールされているプログラムのリストを調べて、.NETをアンインストールしようとしましたが、そこにありません。実際、私がアンインストールできる.NETディストリビューションのように見えるのは、3.5 CompactFrameworkだけです。

3
Greg B

Vistaからのアップグレードに問題があるようです。結局、私はラップトップを平らにして、Windows7を新しくインストールしなければなりませんでした。

最善の答えではありませんが、それは私がしなければならなかったことです...

0
Greg B

.netはWindows7の一部ですが、オンとオフを切り替えることができると思います。コントロールパネルを開き、プログラムを選択してから、[Windowsの機能をオンまたはオフにする]を選択します。 .NETサポートをオンにするためのオプションがあるはずです。

OPは、.NET3.5がWindows機能にインストールされているものとしてリストされていることを確認しました。次の提案は、.NET 3.5SP1を削除して再インストールすることです。前述のWindows機能リストから削除できるはずです。次に、.NET 3.5SP1インストーラーをダウンロードしてインストールします。次に、更新のチェックを実行して、最後の数ビットを取得します。

2
pipTheGeek

.NET Frameworkクリーンアップツールを使用して、.NET Frameworkインストールをクリーンアップしてみてください: http://blogs.msdn.com/astebner/archive/2006/05/30/611355.aspx

私は以前にいくつかの税務ソフトウェアでこれに遭遇しました。税務ソフトウェアの場合、インストーラーは.NETフレームワークのバージョン2.0 ...正確にバージョン2.0を探していました。

.NET 2.0 SP1を使用していた場合、フレームワークがインストールされていないと想定されていました-FAIL。 .NET 3.5を使用していた場合、同じ話-失敗。

完璧とは言えない解決策は、.NETフレームワークを2.0にダウングレードすることでした。次に、ソフトウェアをインストールします。次に、.NETFrameworkを3.5SP1にアップグレードします。お尻の痛みでしたが、うまくいきました。

1
Dubs

すべての.netフレームワークをアンインストールしてから、3.5を再インストールしようとしましたか?
3.5が正しくインストールされている場合、2.0以降の前提条件は自動的にインストール済みとして扱われるべきであるというのは良い権限からです。

1
harrymc

.NET Framework 3.5は、デフォルトでWindows 7に確実にインストールされ、以前のバージョンをサポートする下位互換性があります。そうは言っても、FlashDevelopが前提条件チェックを実行しているときにバージョン2でマークされた特定のフレームワークファイルを探している場合は、すべてが変わる可能性があります。 FlashDevelopのインストールを強制するスイッチ、または警告を無視または抑制するスイッチはありますか?

0
Matt Hanson

私の経験では、.net2.0アプリは一般に.net3.5ではサポートされていません-同じフレームワークの異なるバージョンではなく、異なる(しかし類似した)機能を持つ異なるフレームワークであり、を必要とするアプリケーションには.net2.0をインストールする必要があります。 .net3.5を必要とするアプリケーション用にインストールされたnet2.0および.net3.5-.net 3.5は、.net2.0を「サブクラス化」しません。だから私が得られないのは、それが最近変更されたかどうか(Windows 7)であり、誰かがこれを明確にすることができれば、それは役に立つでしょう。

0
user33620

管理者としてクリーンアップツールを使用して( メソッド2 を使用)、その後、evevatedコマンドプロンプトでsfc/scannowを実行することができます。

0
Imran